package com.godoro.samples.jdbc;

import java.sql.*;

public class BatchTest {
    
  public static void main(String[] args)
    throws Exception
  {
    String driverClass="sun.jdbc.odbc.JdbcOdbcDriver";     
    Class.forName(driverClass);       
    String url="jdbc:odbc:mydatasource";     
    String username="sa";
    String password="godoro";
    Connection connection = DriverManager.getConnection(url,username,password);
    System.out.println("Connected to database");          

    Statement stmt = connection.createStatement();
    stmt.addBatch("insert BankAccount(AccountNumber,Amount) VALUES (345,1500)");
    stmt.addBatch("insert BankAccount(AccountNumber,Amount) VALUES (456,2300)");
    stmt.addBatch("insert BankAccount(AccountNumber,Amount) VALUES (567,4200)");
    int[] results=stmt.executeBatch();
    for(int i=0;i<results.length;i++){
        System.out.println("Affected count for batch "+i+" : "+results[i]);
    }
    
  }
    
}

